/* Calcul de la distance entre 2 positions du plan */

public class DistancePositions2D {

/* Type agrege de stockage d'une position du plan  */
  
  static class Position2D {
    double abscisse;
    double ordonnee; };

/* Programme principal                             */

  public static void main(String [] args) {
    Position2D p1 = new Position2D();
    Position2D p2 = new Position2D();
    double distance;
    double dx;
    double dy;
    Ecran.afficherln("SVP, coordonnees point 1?");
    p1.abscisse = Clavier.saisirDouble();
    p1.ordonnee = Clavier.saisirDouble();
    Ecran.afficherln("SVP, coordonnees point 2?");
    p2.abscisse = Clavier.saisirDouble();
    p2.ordonnee = Clavier.saisirDouble();
    dx = p2.abscisse-p1.abscisse;
    dy = p2.ordonnee-p1.ordonnee;
    distance = Math.sqrt(dx*dx+dy*dy);
    Ecran.afficherln("Distance = ",distance);
  }
}